> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# phone operate - input

> phone operate - input



## OpenAPI

````yaml post /open/api/phone/action/input
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/phone/action/input:
    post:
      tags: []
      summary: phone operate - input
      description: phone operate - input
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InputActionReqVO'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RLong'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    InputActionReqVO:
      type: object
      properties:
        code:
          type: string
          description: phone code
        inputType:
          type: integer
          description: |-
            输入类型：1=直接输入，2=来源网络请求
            input type：1=text，2=from url
        text:
          type: string
          description: text content
        url:
          type: string
          description: |-
            请求的URL
            url
        waitTime:
          type: integer
          description: |-
            等待结果时长
            wait time for result
      required:
        - code
    RLong:
      type: object
      properties:
        traceId:
          type: string
          description: Request link ID
        code:
          type: integer
          description: code
        msg:
          type: string
          description: Request return message
        data:
          type: integer
          description: Request return data
          format: int64
        status:
          type: string
          description: >-
            Status, representing whether this is an instant completion or
            waiting state, finish or pending
          default: finish
      required:
        - traceId
        - code
        - msg
        - status

````